%define libname %mklibname g15render 1
%define libname_devel %mklibname g15render -d
%define libname_static_devel %mklibname g15render -d -s

Name:           libg15render
Version:        1.2
Release:        %mkrel 10
Summary:        Library to render text and shapes into a buffer usable by the G15 keyboard
License:        GPL
Group:          System/Libraries
URL:            http://g15tools.sourceforge.net/
Source:         http://downloads.sourceforge.net/g15tools/libg15render-%{version}.tar.bz2
BuildRequires:  freetype2-devel
BuildRequires:  g15-devel
BuildRequires:  doxygen
BuildRequires:  tetex-latex

%description
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          System/Libraries
Provides:       g15render = %{version}-%{release}

%description -n %{libname}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-devel = %{version}-%{release}
Requires:       g15render = %{version}-%{release}

%description -n %{libname_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%package -n %{libname_static_devel}
Summary:        Renders text and shapes into a buffer usable by the G15 keyboard
Group:          Development/C
Provides:       g15render-static-devel = %{version}-%{release}
Requires:       g15render-devel = %{version}-%{release}

%description -n %{libname_static_devel}
This is a library to render text and shapes into a buffer usable by the
Logitech G15 Gaming Keyboard.

This library probably isn't very useful without libg15 and/or g15daemon.

%prep
%setup -q

%build
%{configure2_5x} --enable-ttf
%{make}
%{_bindir}/doxygen
pushd doc/latex
%{make} pdf
popd

%install
%{makeinstall_std}

rm -f %{buildroot}%{_libdir}/*.la
%{__rm} -r %{buildroot}%{_docdir}

%files -n %{libname}
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{_libdir}/libg15render.so.*
%{_mandir}/man3/*

%files -n %{libname_devel}
%doc doc/html doc/latex/refman.pdf
%{_includedir}/*
%{_libdir}/libg15render.so

%files -n %{libname_static_devel}
%{_libdir}/libg15render*.a


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2-10.mga3
+ Revision: 357141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 22 2012 fwang <fwang> 1.2-9.mga3
+ Revision: 333751
- drop .la file

* Mon Mar 28 2011 ennael <ennael> 1.2-8.mga1
+ Revision: 78311
- clean spec file
- imported package libg15render

